OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKIGES
IGESGeom

# IGESGeom_TransformationMatrix Class Reference

defines IGESTransformationMatrix, Type <124> Form <0>
in package IGESGeom
The transformation matrix entity transforms three-row column
vectors by means of matrix multiplication and then a vector
addition. This entity can be considered as an "operator"
entity in that it starts with the input vector, operates on
it as described above, and produces the output vector.

`#include <IGESGeom_TransformationMatrix.hxx>`

Inheritance diagram for IGESGeom_TransformationMatrix:

[legend]

## Public Member Functions
Standard_EXPORT | IGESGeom_TransformationMatrix ()
Standard_EXPORT void | Init (const Handle(TColStd_HArray2OfReal)&aMatrix)
| This method is used to set the fields of the class TransformationMatrix - aMatrix : 3 x 4 array containing elements of the transformation matrix raises exception if aMatrix is not 3 x 4 array .
Standard_EXPORT void | SetFormNumber (const Standard_Integer form)
| Changes FormNumber (indicates the Type of Transf : Transformation 0-1 or Coordinate System 10-11-12) Error if not in ranges [0-1] or [10-12] .
Standard_EXPORT Standard_Real | Data (const Standard_Integer I, const Standard_Integer J) const
| returns individual Data Errro if I not in [1-3] or J not in [1-4]
Standard_EXPORT gp_GTrsf | Value () const
| returns the transformation matrix 4th row elements of GTrsf will always be 0, 0, 0, 1 (not defined)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_TColStd_HArray2OfReal | theData

## Constructor & Destructor Documentation

Standard_EXPORT IGESGeom_TransformationMatrix::IGESGeom_TransformationMatrix | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Standard_Real IGESGeom_TransformationMatrix::Data | ( | const Standard_Integer | I,
|  | const Standard_Integer | J
| ) | const

Standard_EXPORT const IGESGeom_TransformationMatrix::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IGESData_TransfEntity.

Standard_EXPORT void IGESGeom_TransformationMatrix::Init | ( | const Handle(TColStd_HArray2OfReal)& | aMatrix | ) |

Standard_EXPORT void IGESGeom_TransformationMatrix::SetFormNumber | ( | const Standard_Integer | form | ) |

Standard_EXPORT gp_GTrsf IGESGeom_TransformationMatrix::Value | ( |  | ) | const`[virtual]`

| Implements IGESData_TransfEntity.

## Field Documentation

Handle_TColStd_HArray2OfReal IGESGeom_TransformationMatrix::theData`[private]`

The documentation for this class was generated from the following file:

- IGESGeom_TransformationMatrix.hxx